﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="PostcodeToMap.aspx.cs" Inherits="PostcodeToMap" %>
<html>
<head runat="server">
	<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	<title>Untitled Page</title>
	<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=ABQIAAAA70A-i_RngUngrzvfUcWmXhTk5Ag_h2rRpkV2vfivOEqs7KB0ORS3_NkeXou5HeduLjgEHSwPJK1fdg" type="text/javascript"></script>
	<asp:Literal ID="LiteralScript" runat="server">
	<script>function init(){}</script>
	</asp:Literal>
</head>
<body onload="init()" onunload="GUnload()">
	<asp:Panel ID="PanelMap" runat="server" Visible="False">
	<div id="map_canvas" style="width: 500px; height: 300px"></div>
	</asp:Panel>
	&nbsp;
    <form id="form1" runat="server">
		<asp:Label ID="LabelErrors" runat="server" ForeColor="Red" Text="Label" Visible="False"></asp:Label>
		Sites that rely on cookies aren't catered for in this example. The source has example
		code for it, however you will normally find it is easier to download the pages to
		disk and use them there than try to decypher cryptic cookies like those found on
		some Websphere ecommerce sites.<br />
		<br />
		URL:
		<asp:TextBox ID="TextBoxUrl" runat="server" Width="608px">http://www.sainsburys.co.uk/shoppingandservices/storelocator/searchresults.htm?query=ec3</asp:TextBox>
		<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextBoxUrl"
			ErrorMessage="Please enter a URL" SetFocusOnError="True"></asp:RequiredFieldValidator><br />
		Postcode/Zipcode type:
		<asp:DropDownList ID="DropDownListType" runat="server" OnSelectedIndexChanged="DropDownListType_SelectedIndexChanged" AutoPostBack="True">
			<asp:ListItem>UK</asp:ListItem>
			<asp:ListItem>US</asp:ListItem>
			<asp:ListItem>Custom</asp:ListItem>
		</asp:DropDownList>
		<asp:Panel ID="PanelCustom" runat="server" Visible="False">
			<asp:Label ID="LabelCountry" runat="server" Text="Country"></asp:Label>
			<asp:TextBox ID="TextBoxCountry" runat="server" ></asp:TextBox>
			<asp:RequiredFieldValidator ID="RequiredFieldValidatorCountry" ControlToValidate="TextBoxCountry" runat="server" ErrorMessage="Please enter a country"></asp:RequiredFieldValidator><br />
			<asp:Label ID="LabelCustom" runat="server" Text="Enter a regular expression"></asp:Label>
			<asp:TextBox ID="TextBoxCustom" runat="server" Width="299px"></asp:TextBox><br />
			<asp:RequiredFieldValidator ID="RequiredFieldValidatorRegex"  ControlToValidate="TextBoxCustom" runat="server" ErrorMessage="Please enter a valid regex"></asp:RequiredFieldValidator></asp:Panel>
		<asp:Button ID="ButtonGrabMap" runat="server" OnClick="ButtonGrab_Click" Text="Grab map" />
		<br />
		<br />
		Example URLs:<br />
		<asp:TextBox ID="TextBoxExamples" runat="server" Height="183px" TextMode="MultiLine" Width="640px">Walmart (has maps already, but this is just to demonstrate):
http://www.walmart.com/storeLocator/ca_storefinder_results.do?sfsearch_city=san+francisco&amp;sfsearch_state=CA&amp;sfsearch_zip=&amp;x=24&amp;y=18&amp;=Continue&amp;continue=18

Homebase (UK DIY store)
http://www.multimap.com/clients/browse.cgi?client=homebase&amp;radius_units=mi&amp;client=homebase&amp;count=10&amp;db=GB&amp;radius=25&amp;srec=0&amp;pc=BS1

Boots (UK chemist)
http://www.boots.com/storelocator/store_results.jsp?pc=bs1&amp;town=&amp;country=GB&amp;queryString=directionforsecond=&amp;browseurl=&amp;pc=bs1&amp;town=&amp;country=GB&amp;cat_id0=1&amp;cat_id1=2&amp;checkforloop=y&amp;checkforclickvalue=2&amp;locate.x=18&amp;locate.y=10
</asp:TextBox>
    </form>
</body>
</html>
